Name:           moblin-gtk-engine
Version:        1.2.3
Release:        4%{?dist}
Summary:        GTK engine for Moblin

Group:          User Interface/Desktops
License:        LGPLv2
URL:            http://www.moblin.org/
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  gnome-common

Requires:       gnome-settings-daemon

%description
GTK engine for Moblin

%prep
%setup -q

# run autogen.sh until we have a proper release
#NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Convert to utf-8
for file in README COPYING.LIB AUTHORS NEWS; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING.LIB AUTHORS NEWS
%{_libdir}/gtk-2.0/2.10.0/engines/libmoblin-netbook-engine.so
%dir %{_datadir}/themes/Netbook/
%{_datadir}/themes/Netbook/index.theme
%{_datadir}/themes/Netbook/gtk-2.0
%{_datadir}/themes/Netbook/metacity-1

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 1.2.3-3
- Build against gtk3

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 1.2.3-2
- Some build cleanups

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 1.2.3-1
- New upstream 1.2.3 release

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 1.1.1-1
- New upstream 1.1.1 release

* Mon Feb  8 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.6-2
- Move to the official release tar file

* Mon Feb  8 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.6-1
- New upstream 1.0.6 release

* Tue Jan 19 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.5-1
- New upstream 1.0.5 release

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.3-1
- New upstream 1.0.3 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.2-1
- New upstream 1.0.2 release

* Thu Sep 10 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.1-2
- Drop upstreamed patch

* Thu Sep 10 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.1-1
- New upstream 1.0.1 release

* Sun Sep  6 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream 1.0.0 release

* Thu Aug 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.1-2
- Specifiy the Moblin rather than Mist icon theme

* Fri Jul 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.1-1
- New upstream 0.4.1 release

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.0-1
- New upstream 0.4.0 release

* Wed Jun 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.0-1
- Update to latest release. Updates from review request

* Wed Jun 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.4-1
- Initial packaging
